ChangeLog for kdevplatform v1.2.81
==================================

* Milian Wolff: set version to 1.2.81, 1.2.80 was a mess - will retag for the first beta now
* Milian Wolff: increase SO version to 5
* Milian Wolff: make shellbuddytest only test shell functionality
* Milian Wolff: backport from master: disable unit tests which require user interpretation
* Milian Wolff: backport from master: fix and cleanup generic manager test
* Milian Wolff: backport from master: QUrl -> KUrl
* Milian Wolff: backport from master: fix unit test for Qt 4.8
* Milian Wolff: backport from master: don't crash on shutdown in unit tests when delayed signal gets in too late
* Niko Sams: fix non existing icon
* Niko Sams: remove unused file
* Niko Sams: add icon to context menu
* Nicolás Alvarez: Fix build with KDE4_ENABLE_FINAL.
* Milian Wolff: increase version to 1.2.80 for first beta of 1.3
* Milian Wolff: backport from master: fix: don't leak TestFile's dptr
* Milian Wolff: backport from master: remove file from project's fileset in TestFile dtor
* Milian Wolff: backport from master: extend api: make it possible to create testfiles in a custom directory
* Aleix Pol: Improve l10n for AbstractNavigationContext
* Milian Wolff: set plugin version to 13 in preparation of 4.3 release
* Martin Lederhilger: Fix fetching additional frames in frame stack view
* Niko Sams: automatically expand watches after adding a watch
* Niko Sams: update after autoUpdate changed
* Niko Sams: fix crash when pressing delete key while something else than a locale is selected
* Lambert CLARA: Fix reopening of areas when kdevelop was closed with some splitted views
* David E. Narváez: Register Transfer Job in KIO's Job Tracker in Pastebin Plugin
* David E. Narváez: Register Copy Job in KIO's Job Tracker
* David E. Narváez: Allow Link on Pasetbin Plugin Message Box
* David E. Narváez: Fix typo on paste_format variable in URL
* David nolden: Allow formatting-styles to disable preview and show description instead
* Andreas Pakulat: Fix storing/restoring of environment settings
* Lambert CLARA: Fix modified status in snippets editor
* David Nolden: Add whitespace-matching of tabs vs. spaces
* David nolden: Change the config-key, so users get a fresh chance with the default value
* David nolden: Disable the "Override Kate Indentation Mode" option by default
* Milian Wolff: set url to full path, add getter
* Milian Wolff: add TopDUContext::removeProblem
* Milian Wolff: dump problems in DumpChain
* Milian Wolff: add KDevelop::TestFile
* Milian Wolff: don't crash if non-textdocument was loaded
* Milian Wolff: make StandardOutputView OutputViewFactory id's unique
* Milian Wolff: actually use standardViews map instead of foreach loop
* Milian Wolff: better protection against crashes in itemsForUrl during import
* Milian Wolff: don't crash abstract file manager on file creation during project loading
* Milian Wolff: Revert "Make the link in a message box in review board plugin work"
* David Nolden: Refactor extracted indentation-parameters and apply them correctly.
* Lasse Liehu: Make the link in a message box in review board plugin work REVIEW: 103139
* Milian Wolff: fix build on compilers that don't allow enum-namespacing
* Milian Wolff: don't crash on shutdown if debug session is active
* Milian Wolff: properly update mainwindow caption when active document url changes
* Milian Wolff: fix crash when files are added/removed by external program
* Milian Wolff: add test that tries to trigger crash on job race condition
* David E. Narváez: Replacing Repositories QComboBox by Filtered QListWidget
* Milian Wolff: disable QUrl cast from QString
* Milian Wolff: fix svn api usage: use svn_dirent_canonicalize instead of svn_path_internal_style
* Milian Wolff: properly initialize client context for compatibility with subversion API
* Lasse Liehu: Make the link in a message box in review board plugin work REVIEW: 103139
* David Nolden: Fix the problem that sometimes the indentation wasn't adapted after opening a new document
* David Nolden: Add an action to show the whole unconstrained diff from annotation view
* David Nolden: Add author and licence info
* David Nolden: Fix mass-formatting when one file is open in the editor
* David Nolden: Allow "fuzzy" matching of formatted text, in case of insertions/removals
* Aleix Pol: small api doc.
* Aleix Pol: Fix area switching, problem introduced by me earlier today.
* David Nolden: Update formatting: Indent after switch
* David Nolden: Only adapt editor mode if there is no modeline, and fill "indent-width" modeline variable
* David Nolden: update formatter config: enforce spaces around operators
* David Nolden: update style
* David Nolden: Automatically adapt kate indentation-modes after the configuration has been changed
* David Nolden: Automatically adapt kate indentation-mode to formatter settings and more
* Aleix Pol: Always set the background visibility using setBackgroundVisibility.
* Aleix Pol: Add a setBackgroundCentralWidget method to SublimeMainwindow that provides a widget to display when there are no documents opened.
* Aleix Pol: Instead of recreating the central widget, just clear it. It's more clean (less stuff deleted and recreated) and makes it possible to have a widget on the background.
* David Nolden: Extract indentation information for the editor by formatting sample
* David Nolden: Reformat patchreview with the updated config
* David Nolden: Improve the formatting config a bit
* David Nolden: Ignore newlines behind function-definition braces
* David Nolden: Ignore whitespaces in "git blame"
* David Nolden: Ignore newlines behind function-definition braces
* David Nolden: Reformat the patch-review plugin consistently using 4-space indentation
* David Nolden: Add kdev_format_source.sh rules resembling the current formatting
* David Nolden: Fix a crash regression when doing "Format files"
* David Nolden: Allow empty lines and comment-lines in the format_sources file
* David nolden: Add a consistent formatting config for kdev_format_source.sh based on uncrustify for the language/duchain subdir.
* David nolden: Also pass the URL to source formatters.
* David nolden: Deal right with relative paths as argument to the formatting script.
* David Nolden: Add a formatting script which reads the formatting commands from "format_sources" files stored in the source directory.
* David nolden: Sort languages in the source-formatting dropdown by preferring active languages.
* David nolden: Rename updateenv! to setenv!, and automatically create new environment files.
* David nolden: Fix some problems with matching the suffix of formatted text in conjunction with newlines.
* David Nolden: Improve the integration of partially formatted text in the editor, make it do "the right thing".
* Lambert CLARA: Fix compilation with gcc older than 4.5
* David Nolden: Extend the comment a bit.
* Milian Wolff: constify argument
* Henry Miller: eliminate c++0x syntax
* Alexander Dymo: Initial implementation for toolview grouping on the side: - Ctrl-Click on a toolview button will open toolview together with existing ones - Click (or menu item) will close already shown toolviews on the side (like it was before) - toolviews raised programmatically close all other toolviews on the side (also like it was before) - state is properly stored and restored
* Yuri Chornoivan: fix typo: bellow->below
* Sergey Vidyuk: Restore git merge message for unfinished merge
* Sergey Vidyuk: Git commit message format validation
* Sergey Vidyuk: Better error handling in the BranchManager dialog
* Milian Wolff: import language-agnostic unit test from kdevelop/languages/cpp:
* Milian Wolff: push language-agnostic DUChain tests into KDevplatform
* Lambert CLARA: Speed up collapsing of all elements in Find/Replace treeview.
* Lambert CLARA: Fix "Application Name" field of "Create new project" dialog stays disabled, due to currentChanged signal emitted before being connected in "New from template" popup.
* Lambert CLARA: Fix opening of tabs when using buddy documents and split views
* Milian Wolff: always set plugin for grepoutputview properly
* David E. Narváez: Many UI Changes in Source Page of Project Wizard
* Milian Wolff: add CTestCustom.cmake and ignore kdevsvncpp warnings
* David E. Narváez: Listing Repos with Reviewboard API 2.0
* David Nolden: Only return matching top-contexts if they are fully valid (eg. they really exist and were not deleted yet). This fixes some potential serious duchain breakages that could appear after a longer time.
* Aleix Pol: Remove useless debug information
* Aleix Pol: In case we're comparing BASE to WORKING, add the staged changes as well.
* Aleix Pol: Set the type for git add jobs
* Aleix Pol: Make it easier to check the special type of a VcsRevision.
* David nolden: Automatically remove the locked state if the view is not visible or the widget was deleted, because the locked state has side-effects on other navigation functionality.
* Jonathan Schmidt-Dominé: ported to new kdev-pg-qt API
* Nicolás Alvarez: Check if MSG_NOSIGNAL is defined, don't use it otherwise.
* Milian Wolff: optimize: don't restart quickopen model twice
* Aleix Pol: Changing the target's URL shouldn't modify the target name.
* Aleix Pol: Delay model initialization until it's requested for the first time.
* Milian Wolff: optimize: implement hash-based lookup for itemsForUrl
* Milian Wolff: properly use hash param if given, use uint in signature
* Milian Wolff: add note on slow ProjectFileItem::setUrl
* Milian Wolff: set action texts (visible in context menu of tool view)
* Milian Wolff: optimize: don't reparse the project configuration every time we access it
* Milian Wolff: optimize: cache iconName for ProjectFileItem
* Milian Wolff: optimize: make it possible to get the index for a string without the refcount overhead
* Milian Wolff: duchainify: delay installation of message handler
* Milian Wolff: output number of threads used in duchainify
* Milian Wolff: const& in public CodeRepresentation API
* Milian Wolff: optimize: only use ForegroundLock in ParseJob::readContents when really required
* Milian Wolff: fix: properly set palette on navigation browser
* Milian Wolff: remove dead code
* Henry Miller: Fix build for freebsd (gcc 4.21)
* Milian Wolff: don't crash on unexpected short git version strings
* Sergey Vidyuk: Fix create project from template feature
* Milian Wolff: open project on activating (dbl. clicking) a project file or pressing enter in the open/import project dialog
* Milian Wolff: add new url to recent file action when document was renamed
* Milian Wolff: don't add empty document url's to recent file action
* Milian Wolff: clear selection before inserting 'document declaration' text
* Aleix Pol: Don't reload on job types that don't need to.
* Aleix Pol: Remove some debug output
* David Nolden: Add some missing "echo" commands
* Burkhard Lück: enable help_contents action, we have a documentation now
* Aleix Pol: Relayout the AppWizard UI into a more friendly UI. More information at: http://www.proli.net/2011/08/23/road-to-a-better-kdevelop-newcomer-experience/
* Aleix Pol: Open documents when double-clicking then in the vcs changes view.
* Aleix Pol: slightly simplify some random conditions
* David nolden: Make the fish mapping by the first host in the ssh chain work properly (don't use the whole chain for the hostname)
* David nolden: Map files through fish anyway, even if the ssh chain is too long. The hosts may have the same filesystem, otherwise fish will notice.
* David nolden: Kill the correct subprocess after a ssh! session was closed (it is the second if we are re-forwarding)
* Olivier JG: Close Project config tmp file before attempting to upload it. CCBUG: 254519
* David Nolden: Add comment
* David Nolden: Remove the responsibility for notifying of closed documents from the document-implementations. Do it in a generic place, and make sure that the notification _always_ happens.
* Olivier JG: Don't hold DUChain lock when asking for completionItems()
* Aleix Pol: Rename "Revert All" action to "Reload All". Makes it consistent with Kate naming and doesn't clash with VCS vocabulary.
* Aleix Pol: Some refactoring of the templates code before some big UI changes. Don't use a custom item.
* Aleix Pol: slightly simplify some logic in the appwizard dialog
* Aleix Pol: Set the type for the vcs jobs, for better integration.
* Aleix Pol: Make the filter for vcs type actions that trigger updates inclusive, otherwise it was maaaad.
* Aleix Pol: Whenever there's a vcs job run, reload all projects to see if there are changes. Probably should be more fine grained...
* Aleix Pol: Update the project after adding it in the vcs changes view.
* Aleix Pol: Add missing files from last commit
* Aleix Pol: Use the HoldUpdates class instead of calling UpdatesEnabled by hand. Makes it possible to be a little better at preventing the UI to update.
* David Nolden: Connect the new working-set _after_ the area was cleared. This fixes a regression that made working-sets disappear after switching.
* David Nolden: Fix some slight buggyness in closeView(), which could sometimes cause a document to disappear when using multiple working-sets and switching between them.
* David Nolden: Export the UnsureType member-hash, so UnsureTypeData can be subclassed
* Aleix Pol: Properly check if files are present before creating a file.
* Aleix Pol: Don't recreate the documentation's provider model every time the view is shown.
* Aleix Pol: Tell the user that there are changes that are going to be lost in case she wants to react.
* Aleix Pol: Make the document controller to listen to the project's so that whenever an open file is renamed, that file should be closed and reopened with the new name.
* Aleix Pol: Add an icon for subversion support so that we don't rely on something external.
* Aleix Pol: Make some declaration details translatable. Mainly those that are not usually keywords. Maybe should let it up to the translator...
* Aleix Pol: Add a shourtcut to "Save All", use the same Ctrl+L as Kate.
* Miquel Sabaté: Typo
* Aleix Pol: In case that we have Kompare installed, make it possible to export our differences to Kompare.
* Aleix Pol: On ApplyChangesWidget, when removing, just use the starting cursor instead of the whole range. Looks broken.
* Nicolás Alvarez: Fix comment typo.
* Milian Wolff: share QDir based removeDirectory and reuse in sessioncontroller
* Milian Wolff: cleanup includes
* Milian Wolff: don't crash when pressing f4/shift + f4 without having used grepview before
* Aleix Pol: Normalize slots and signals in connects using qt's normalize tool.
* Aleix Pol: Don't link against Qt designer, it's not needed anymore. AFAIR it hasn't been for long time, somebody correct me please, if I'm wrong.
* Andreas Pakulat: Fix possible crash on shutdown
* Milian Wolff: Use KSqueezedTextLabel for showing error messages in the status bar
* Milian Wolff: add missing files
* Milian Wolff: properly stop recoverytimer in sessioncontroller on cleanup
* Milian Wolff: assign own debug area to externalscript plugin, remove qDebug usage
* Milian Wolff: fix random crashes in unit tests by handling queued connections before shutdown
* Lambert CLARA: Fix auto selection of the first tab when splitting views. Add unit test.
* Burkhard Lück: make column names in variables tool window translatable
* Burkhard Lück: make column names in environment variables configuration window translatable
* Burkhard Lück: make column names in variables tool window translatable (cherry picked from commit 1bf158323cafd732ce72c9d85cf73313944c444e)
* Burkhard Lück: make column names in environment variables configuration window translatable
* David Nolden: Rename the internal variables of the foreach macros, so name-clashes are much less likely
* David Nolden: Don't clear the area while switching the working-set as result of viewAdded().
* Frederik Schwarzer: Fix missing colon
* Milian Wolff: register meta type, required for signal spy
* Milian Wolff: properly shutdown testcore on exit
* Milian Wolff: When initializing TestCore, hide activeMainWindow
* Milian Wolff: make use of new TestCore api and apply some general cleanup to the unit tests
* Milian Wolff: improve TestCore API and usability
* Milian Wolff: make it possible to mark a session as temporary
* Milian Wolff: fix some compile time warnings
* David Nolden: Fix a possible crash when working with split-views and when the working-set is active in multiple areas.
* Niko Sams: add comment to explain why this is not called directly in kdevplatform
* Aleix Pol: Also let the user to add a webbrowser item on the dashboards. It's nice to be able to show the project's website.
* Aleix Pol: Properly whitelist the applets.
* David nolden: Don't try to map the "/" separator.
* David nolden: Add copyright notice
* David Nolden: Really only reconstruct the views when reconstructViews() ist called, to prevent unintended focus-changes on toolviews.
* David Nolden: Ask the user in batch-mode on modified documents in the patch-review plugin.
* David Nolden: Fix a possible crash when switching working-sets, and some buggy quirks regarding the "Save?" question while closing views.
* David Nolden: Make the removal of views slightly more robust, by using weak pointers to track m_indexSplitters.
* David Nolden: Prevent an endless update loop after saving a file while doing patch-review.
* David Nolden: Prevent a possible deadlock: Also unlock the duchain internal mutex before doing highlighting.
* David Nolden: Fix loading of working sets from disk, don't delete the wrong group.
* David Nolden: Make the inode-comparison work properly, so that files are opened directly without fish-protocol when the filesystem equals.
* Milian Wolff: reenable snippet uploading
* David Nolden: Initialize m_runToCursor and m_toggleBreakpoint, preventing a crash on every single right-click while creating the context-menu. Apparently initializeUi is _never_ called. How can all this stuff work? CCMAIL: niko.sams@gmail.com
* David Nolden: Correctly activate the first new opened view when opening from command-line.
* David Nolden: Allow opening arbitrary split-view configurations from the command-line using the shell integration. Example: "open! file1 / [ file2 - file3 ]" creates a horizontal split, and splits the right half vertically. By the way, make the view-reconstruction code more robust, so it doesn't screw up on specific changes to the area indices. This should also fix some possible bugs/crashes in conjunction with working-sets containing many split-views.
* David Nolden: Remove useless output
* Milian Wolff: fix compile...
* Davide Simoncelli: Sort repositories alphabetically in review patch dialog
* Aleix Pol: Fix assistant popup color scheme with the new oxygen color scheme. If the background color is like tooltip's, use also tooltip's foreground color.
* Milian Wolff: fix regression: properly search for restructured katepart UI
* Milian Wolff: fix compile...
* Davide Simoncelli: Sort repositories alphabetically in review patch dialog
* David Nolden: Now since QVarLengthArray is only the base-class, we can add our own licence for the derived class.
* Milian Wolff: comment KDevVarLengthArray::pop_back
* Milian Wolff: remove duplicate code from KDevVarLengthArray and inherit from QVarLengthArray instead
* Aleix Pol: Move the projectfileelement inside the dashboard.
* Aleix Pol: Add again the applet filtering
* Aleix Pol: Remove code that is not useful anymore.
* Aleix Pol: Improve our project dashboard item's usability.
* Aleix Pol: Add an add button to the Applet selector
* Aleix Pol: Set the class name when the job is unnamed. That way it's easier to track down what job's are not setting their objectname property.
* Floris Ruijter: add #include <QMetaType> where needed as to get non-final builds working too
* Nicolás Alvarez: Revert "minor fixes like adding a BaseType typedef in pointertype.h"
* Nicolás Alvarez: Revert "fixes a bug in which test(s) try remove the directory of a repositry, but are not able to (most likely some open filehandle), they don't try to remove the directory now"
* Floris Ruijter: edits to get final working,
* Floris Ruijter: fixes a bug in which test(s) try remove the directory of a repositry, but are not able to (most likely some open filehandle), they don't try to remove the directory now
* Floris Ruijter: minor fixes like adding a BaseType typedef in pointertype.h
* David nolden: Raw draft of a declaration-type which is conditioned by its uses.
* David nolden: Add some comments
* David nolden: Fix a bug in the automatic line-indentation adaptation Thanks for the patch to Olivier Trichet REVIEW: 101837
* Olivier JG: ProjectImportJob killing causes deadlocks/crashes. Until it works properly, don't make it killable. BUG: 256709
* David nolden: Format the comment in a way that the previous html-formatting of the text is not lost.
* Milian Wolff: add TypeChar16_t and TypeChar32_t to IntegralType and properly toString them
* David nolden: Extend the shell-integration by session-specific shell environments. Each shell environment is stored in a .sh file in the session directory, is loaded automatically into the session integrated shell, and can be managed using several handy commands (env!, updateenv!, showenv!, editenv!). The session environment is even forwarded through remote ssh connections.
* Sven Brauch: Make changing of function argument types possible
* Glen Kaukola: Bug 260586 - JJ: remove QPointer usage, port to QWeakPointer
* Milian Wolff: notify user that he needs to install Kate for kdevelop to operate properly
* Milian Wolff: add isExplicitlyDeleted to Declaration
* Aleix Pol: Fix Declaration::hasUses as explained in the review request:
* Aleix Pol: Oops! Don't reload if the file is not loaded...
* Miquel Sabaté: Fixed compile error
* David nolden: Slightly improve the documentation.
* Milian Wolff: typo fix in apidox: weather -> whether
* Milian Wolff: Revert "add isDeleted and isDefaulted to ClassFunctionDeclaration"
* Milian Wolff: Revert "show default/delete in navigation context"
* David nolden: Revert "Don't use meta key in keyboard shortcuts."
* David nolden: Allow retrieving the range text from the PersistentMovingRange
* Olivier JG: After review polishing for workingsets area config
* Olivier JG: Revert "Revert "Save workingset state per area.""
* Milian Wolff: show default/delete in navigation context
* Milian Wolff: add isDeleted and isDefaulted to ClassFunctionDeclaration
* Milian Wolff: make sure we don't allocate all memory and crash when trying to grep for empty identifier
* Olivier JG: Revert "Save workingset state per area."
* Olivier JG: Save workingset state per area. Unsplit workingset in all areas when unsplit in one.
* Olivier JG: Don't use meta key in keyboard shortcuts.
* Olivier JG: Update launch config pane when launch type changes. BUG: 223158
* Olivier Trichet: duchainify: fix getting option "features" after its name changes
* Olivier JG: Don't show base and derived folders if empty.
* Niko Sams: Fixed CMakeLists.txt to install the header files to the correct place
* Milian Wolff: properly export IOutputView and push dtor implementation into cpp file
* David Nolden: Revert b9014d21caea4d8fe98c94c1fe6158b65db5db53, this is not safe.
* Milian Wolff: don't crash when katepartui.rc replacement is not found
* Milian Wolff: --debug
* Milian Wolff: use IDocument for mimetype query when available in language controller
* Milian Wolff: make sure we properly lock the language controller's dataMutex in semi-new public API
* Milian Wolff: disable vcsBlackBoxTest as it's not working and it's code is a mess
* Milian Wolff: fix ProjectModelTest
* Milian Wolff: fix CvsTest and SvnRecursiveAdd unit tests
* Milian Wolff: reduce complexity of TestEmbeddedFreeTree
* Milian Wolff: add -d / --dump-errors option to duchainify
* Milian Wolff: cleanup command line options of duchainify
* Olivier JG: Fix clearComments() to work with "//*" and "/*//*/" stuff that it used to choke on (See testClearComments in test_cppcodecompletion) BUG: 243200
* Aleix Pol: Attempt to make the patch review toolview a little cleaner. - after committing change again to localpatchsource. - reorganize the location tab bar - Add tooltip text to the next/previous hunk buttons
* Aleix Pol: Honor canSelectFiles method in IPatchSource.
* Aleix Pol: Make it possible to change the checkable status in the VcsChangesModel
* Niko Sams: set Commit-Message Textfield LineWrapMode to NoWrap
* Niko Sams: Fix saving debug toolbar visibility
* Aleix Pol: Don't crash if there's no file or if the file doesn't have a project.
* Aleix Pol: Prevent "dashboard" from leaking
* Aleix Pol: Prevent from crashing when selecting configure dashboard.
* Aleix Pol: Prevent crashing when trying to update the current patch.
* Milian Wolff: fix .desktop file of vcschangesview plugin
* Milian Wolff: Revert "add assertion for misuse of AbstractContextBuilder::openContext"
* Olivier JG: Remove stub implementation of moveFilesAndFolders
* Glen Kaukola: Bug 260586 - JJ: remove QPointer usage, port to QWeakPointer
* Olivier JG: Implement moveFilesAndFolders for abstractfilemanager Enable drag and drop in projectmanagertreeview
* Niko Sams: fix crash in NoUI mode
* Aleix Pol: Make the font in the code navigation tooltip to be monospace, makes it easier to read for some persons.
* Aleix Pol: Remove some code that doesn't make sense to me.
* Aleix Pol: Improve the IBranchingVersionControl interface. Adapt nowadays branching solutions to the new interface, including git plugin and the branching module.
* Niko Sams: only add Documentation toolview if there are providers
* Niko Sams: fix disabling debugger actions on startup
* Milian Wolff: fix crash in embeddedfreetreetest
* Milian Wolff: add assertion for misuse of AbstractContextBuilder::openContext
* Alexander Dymo: Make next/previous search result actions in find/replace plugin work even when no result is currently selected in the output.
* Alexander Dymo: Support F4/Shift-F4 shortcuts in find/replace plugin for jumping between search results from keyboard
* Milian Wolff: enable ctest, update to new cdash project name
* Alexander Dymo: Set 0 margins for toolbars that hold ideal button bars. This means when KDevelop window is maximized, it will comply with the "Fitts's law": the screen edge will be clickable.
* Aleix Pol: Fix compilation on windows, apparently.
* Alexander Dymo: New implementation for the KDevelop "Ideal" UI based purely on QDockWidget's: - our custom main window and layout (IdealMainWidget and IdealMainLayout) are gone - toolviews are now managed as regular dockwidgets (with all benefits that Qt dockwidgets bring) - buttonbars are implemented as toolbars (not movable/closeable)
* Aleix Pol: Properly filter by ParentApp.
* Aleix Pol: Filter the plasmoids by parent app and make it possible to whitelist them
* Aleix Pol: Make the plugin global, otherwise it doesn't appear.
* Sven Brauch: Made it possible to jump to error lines in executescript plugin
* Niko Sams: show debugger actions on demand
* Aleix Pol: Make the dashboard plugin optional and just use it if KDE version is older than 4.6. (older won't compile)
* Aleix Pol: Don't call numstat for now, it's just too slow.
* Montel Laurent: Make it compile with "-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS"
* Aleix Pol: Add my copyright and remove white line.
* Sven Brauch: Change behaviour of the setReturnType function to do something useful
* Pino Toscano: no need to translate an icon name
* Aleix Pol: Save the files automatically, less dialogs, more happiness.
* Aleix Pol: Add a new action meant to be on the toolbar that will start the review process for the current file's project.
* Aleix Pol: Some refactoring to make it possible to commit from places that are not the vcs helper without forking the whole thing
* Aleix Pol: Don't complain even if the file is not saved. Niko didn't have a better idea. ... and Sven approves it.
* Aleix Pol: Don't show a dialog asking the user to reload or discard after he asks for a revert.
* Aleix Pol: Automatically update the patch when a file has changed on the patch review plugin.
* Aleix Pol: Small code cleanup
* Aleix Pol: Reorder some header files
* Aleix Pol: Attempt to fix the changes view column sizes, not that successfully, though.
* Aleix Pol: Add category and icon to the dashboard plugin
* Aleix Pol: Always expand the vcs changes view, to see what's changed.
* Aleix Pol: Uncomment some code that shouldn't have been commited.
* Aleix Pol: Don't compile the model test. Don't show the root on the changes tree
* Aleix Pol: Remove unused method.
* Aleix Pol: Make the plugin more verbose by providing the VcsEventItems
* Aleix Pol: Adapt to the changes in hte API and fix some UI problems
* Aleix Pol: Improved the API so that it makes a little more sense.
* Aleix Pol: Make the plugin silent, slows down the history viewing.
* Aleix Pol: Actually remove the correct header :$
* Aleix Pol: Don't remove things that have a parent anyway.
* Aleix Pol: Remove vertical header that was not being used anyway and looked ugly.
* Aleix Pol: Moved the rest of the vcsprojectintegration plugin into KDevPlatform.
* Aleix Pol: Move some methods into slots.
* Aleix Pol: Add the projectchangesmodel to the project controller so that we just have one instance of it.
* Pino Toscano: fixuifiles
* Pino Toscano: extract messages
* Pino Toscano: fix loaded catalog name
* Aleix Pol: Move the project changes model from playground.
* Milian Wolff: fix crash when renewModel gets called without any model
* Niko Sams: remove check for X-KDE-text as this is some deprecated property
* Aleix Pol: Fix compilation
* Aleix Pol: Remove 'Compare to HEAD' action from VCS menu. Rename 'Compare to BASE' to 'Show differences'.
* Aleix Pol: Make it compile again
* Alexander Dymo: Be able to load KParts which use KPluginFactory (as opposed to KParts::Factory) into the KDevelop as a document. Some kparts use KParts::Factory (like gwenview) and some don't (like okular). That's why we could open png's in KDevelop and we couldn't open pdf's for example.
* Aleix Pol: Refactored the dashboard to make it more friendly
* David Nolden: Improve usability of the context-browser toolview: Automatically lock the view if the user switches to another navigation-context, and unlock again when he returns to the initial context.
* David Nolden: Don't call highlightDUChain with the duchain-lock held, this leads to an assertion now.
* Niko Sams: remove IDocumentController::DoNotForceCurrentView as it is nowhere used
* Niko Sams: step into/over instruction did the wrong thing
* David Nolden: Still show the code-browser tooltip if the code-browser toolview is visible but locked
* David Nolden: Add comment to make clear that 32-bit should not be exceeded by the bit-fields.
* David Nolden: Reduce the bit-count for the pointer const-modifiers to 24, so that the overall number of bits of the bit-fields doesn't exceed 32 (size is critical here).
* Aleix Pol: Update plugin version to match master kdevplatform's
* Milian Wolff: add isRValue / setIsRValue to IndexedTypeIdentifier and ReferenceType
* Milian Wolff: ProjectManagerView filter with 'exclude' matching
* Milian Wolff: Save/restore ProjectManagerView filter to/from session's config
* Milian Wolff: Use KStandardAction::fullScreen() in KDevelop::MainWindow
* Alexander Dymo: Repaint filename and file icon status on view change only in tabless mode. Reasons: - tabbar doesn't need this, it does repainting itself - this triggered a full tabbar repaint which is not desirable:   tab positions changed randomly after moving to next/prev view   one such buggy case was:   a) open N tabs (more than fits the screen)   b) switch to the last tab   c) switch to the previous tab => last tab hides, the whole tab row "moves" right
* David nolden: Make kdevplatform_shell_environment.sh world readable and executable CCBUG: 274751
* Milian Wolff: use in.readLine() instead of operator>> when asking clear-question in CLI mode
* Alexander Dymo: Update tests to reflect the fact that we now remove the last container together with the last view in the mainwindow. As of now, all sublime tests should pass.
* Alexander Dymo: Properly add main windows and areas to the UI controller in sublime tests (similar to what the app does). Tests won't crash anymore (but they will still fail for other reasons)
* Alexander Dymo: Plain sublime lib doesn't provide any custom buttons for area widgets (that's what only kdevelop shell does), so it shouldn't crash when asked to add an area tab
* Nicolás Alvarez: Move Diff2::Marker::operator== from a unit test to the class itself.
* Sune Vuorela: don't link kde3support, it isn't actually used
* Alexander Dymo: Don't check that toolview toolbars are not movable. They can be movable if mainwindow doesn't lock all its toolbars (which is does when it loads default settings).
* Milian Wolff: add assert to make sure duchain is not locked when calling highlightDUChain
* David Nolden: Warn from a possible deadlock when the duchain is locked while calling highlightDUChain
* David nolden: - Improve the documentation a bit - Destroy the temporary object created while copying type-data properly
* Olivier JG: Actually const-ref this time.
* Olivier JG: Pass const refs to qlists in Project interfaces
* David nolden: - Add copytohost! and copytoclient! commands to simply copy files between host and client using kioclient. - Move the documentation for the ssh-support to a new "help! remote" subsection
* Aleix Pol: Added new features to the annotation bar context menu Copy revision id. Show the History Dialog.
* David nolden: - Include the type-identity in the hash of a type - Improve the documentation of AbstractType, specifically what needs to be done to implement an own type
* David nolden: Add documentation and a todo
* David nolden: Remove the remainders of an old caching mechanism, which was already deprecated by the caching integrated within the symbol-table
* David nolden: - Correctly map filenames between host/client for all remaining commands - If the kdevplatform_shell_environment.sh utility is not in the path on the host machine, as a last resort, try using ~/.kdevplatform_shell_environment.sh . The user can create a link there. - Make the dbus_socket_transformer utility independent of Qt, by using std::string instead of QString. This makes it slightly easier to deploy on thin-servers.
* David nolden: - If kdevplatform_shell_environment.sh is not available at the same location at he target machine, try locating it in the $PATH. Now it should be possible to use the shell-integration even on thin-servers, by making sure that kdevplatform_shell_environment.sh and kdev_dbus_socket_transformer are in the path (these are the only files required). - Some cleanup
* David nolden: - When opening/synchronizing, check if the the same filesystem is available on the host- and client machine, by comparing the inode-number. If the same filesystem is available, do not perform mapping through the fish:// protocol.
* David nolden: - Allow synchronizing the working-directory even when having a remote file open through fish://. In that case, we ssh to the remote location, and then synchronize the working directory. - Add a version of ssh! that preserves the current working directory (under the expectation that the file-sytems are the same)
* David nolden: - When executing a command from the shell, don't raise the output-view. - Make the output of cexec! slightly prettier
* David nolden: Add an additional "cexec!" command, where the files are copied to the client machine using kioclient before they are passed to the command.
* David nolden: Implement mapping of arguments to "exec!" or "open!" through forwarded ssh connections to the KIO "fish" protocol.
* David Nolden: Add shortcut for the help! command
* Olivier JG: Move moveFilesAndFolders (non-)implementation to genericmanager. Fix type in header comment.
* Andrey Batyiev: Introduce and integrate VcsFileChangesModel.
* David nolden: Further improve the terminal integration: - Automatically attach to the current session in spawned integrated konsole parts. - Change the naming scheme of the commands to always end with a "!", so they don't clash with other shell commands. - Add a "sync!" command which synchronizes the terminal working directory with the currently active document. - Add an 'exec! FILE ...' command which executes a command on the client machine through the external-script integration. - Add short commands for each command, eg. "s!" instead of "sync!". - Don't show the whole command list after attaching to a session. Instead, just point to the "help!" command. - Be less verbose when forwarding the d-bus connection through ssh.
* Olivier JG: Added moveFilesAndFolders to project manager interface Added drag and drop support to project item model Fixed build manager interface's removeFilesFromTarget params
* Andrey Batyiev: Cleanup PatchReview plugin.
* David nolden: Add seemingly useless singular form.
* David nolden: Fix the dbus athentication token when passed through the forwarded dbus connection. Now it is possible to forward the connection through ssh, even when the user-id, user-name, or whatever, differs between client- and target machine.
* David nolden: Move some information from the popup-title into the body, because it wasn't readable when the popup was too small. Add some paragraphs to make the text more readable.
* Dmitry Risenberg: Check KMimeType::mimeType result for null.
* Aleix Pol: Port reviewboard plugin to the new version of the API.
* Benjamin Port: Correct grep unittest
* Milian Wolff: don't crash CLI tools when trying to display the 'clear duchain cache?' warning, fallback to plain CLI in/out
* Milian Wolff: set plugin versions to 12 to support latest kdevplatform msater
* Dmitry Risenberg: Always fit the left and top of tooltip to screen. REVIEW: 101021.
* Dmitry Risenberg: Automatically resize VariableTooltip to fit its contents.
* Dr. Robert Marmorstein: Fix crash when kate (or other editor) is not found
* Nicolás Alvarez: Revert "Fix compilation errors due to mutable references."
* Dmitry Risenberg: Use ISourceFormatter::highlightModeForMime to find language names instead of ILanguage::name.
* Dmitry Risenberg: Correctly read formatter style name from config.
* Luca Mattiello: Fix compilation errors due to mutable references.
* Milian Wolff: give the API Dox of IDocumentController some love
* Martin Heide: Add document buddy architecture
* Milian Wolff: use combo box instead of line edit for patterns in find in files dialog
* Lambert CLARA: - Fix connect return value tested instead of errno - Add cerrno missing header
* Milian Wolff: prevent crash when config file contains something like "foo||"
* Sven Brauch: Fix typo in Declaration cleaning condition
* Sven Brauch: Allow to set Declarations to be "implicitly created"
* generatorglukoff: Make VcsCommitDialog useful as fallback, when no PatchReview plugin loaded
* Sven Brauch: Allow DeclarationIDs to be always direct
* Julien Desgats: Added lex/yacc file patterns
* Julien Desgats: Show only debug tooltips in debug mode instead of overlap debug and standard tooltips
* Julien Desgats: Fixes exclusive mode in active tooltips
* Silvere Lestang: Fix F4 and Shift-F4 shortcut on StandardOutputView
* Sven Brauch: Remove unnecessary code in abstractusebuilder.h
* Dmitry Risenberg: Set formatter and style per language, not mime type. Make style references from different languages with the same name one style object.
* Milian Wolff: fix crash in next/prev item selection in output view under certain configuration
* Milian Wolff: remove obsolete code
* David nolden: Extend the shell integration so that it is possible to ssh to another host, and still keep connected to the KDevelop instance. This requires forwarding of the DBUS session. This is done using the added dbus_socket_transformer utility, which transforms the dbus abstract unix domain socket into a standard TCP socket on the client side, then we can forward it using standard ssh port forwarding, and on the target side we transform the connection back into an abstract unix domain socket, which can then be used by the shell environment to contact the KDevelop instance on the client machine. Problem: Currently this seems to only work when client and host machine have the same user-management, due to DBUS authentication. Also, kdevelop must be installed on both sides in the same path.
* Dmitry Risenberg: Ask user whether to clean the repository after multiple crashes.
* Milian Wolff: fix unit test, we must not include the plugin as that wreaks havoc (global statics)
* Milian Wolff: use QTEST_KDEMAIN - works for me
* Milian Wolff: fix compile warning
* Milian Wolff: const&
* Milian Wolff: init data members
* Silvere Lestang: Do some formating (add const and white spaces)
* Silvere Lestang: Severals fixes
* Silvere Lestang: Remove white space and other formating
* Silvere Lestang: Almost fix the bug with KComponentData
* Silvere Lestang: Merge stash
* Damien Flament: Check toolviewRemoved(int) signal emission.
* Silvere Lestang: Add a test on setModel and setDelegate
* Silvere Lestang: Fix incorrect casting and behaviour
* Silvere Lestang: Fix wrong behaviour for removeOutput
* Silvere Lestang: Add egisterAndRemoveOutput tests (WIP) + some reformating
* Silvere Lestang: Fix testActions
* Silvere Lestang: Remove useless view->widget() (outputWidget isn't a Sublime::View) + some cleaning
* Silvere Lestang: Fix the test (both initTestCase and testActions)
* Silvere Lestang: Fix bugs and modify behaviour of filter action
* Loïc Favier: Fix bug in filterAction
* Silvere Lestang: Modify tests
* Silvere Lestang: Add actions test (WIP)
* William Gil: Create the filter method
* Loïc Favier: Refactoring : we separate behaviours and options
* Loïc Favier: Add an optional filter action to StandartOutputView
* Silvere Lestang: Add correct id name + some clean up
* Silvere Lestang: First test is (almost) working
* Silvere Lestang: Advance in testing
* Loïc Favier: Allow users to add actions to StandartOutputToolView
* Silvere Lestang: Begining of test for standardoutputview (doesn't work yet!)
* Silvere Lestang: Simple cleaning
* Silvere Lestang: A beginning of conf for actions
* Silvere Lestang: Remove some unused lignes of code
* Gerhard Stengel: fix problem of non translatable strings in kdevplatform/documentation and class browser
* Milian Wolff: fix compile, remove include of obsolete file
* Milian Wolff: remove empty file
* Milian Wolff: call uicontroller before core gets cleaned up
* Milian Wolff: remove obsolete code
* Milian Wolff: properly re-highlight problems on document reload
* David nolden: Improve documentation
* Andreas Holzammer: dont confuse caption with messagebox text
* David nolden: Greatly speed up the search for uses in "Find uses" and "Rename", and also for the control-flow graph plugin, by pre-filtering the candidate files by using a simple "grep" over its contents before building uses.
* Dmitry Risenberg: Add projectOpeningAborted signal to IProjectController to handle situations when loading a project encountered errors or was aborted.
* Andreas Holzammer: fix ambiguous symbol in msvc 2010
* David nolden: Add comment
* David nolden: Only lock the foreground mutex statically, without unlocking it during shutdown. The other involved variables, like QThread::currentThread(), might already be invalid, depending on the shutdown order.
* Andrey Batyiev: Turn off colored diff and external diff tool while doing "git diff".
* Milian Wolff: prevent tooltip flicker when moving mouse inside tab for which a tooltip is already shown
* Milian Wolff: const ref
* David nolden: Slight formatting fixes
* David nolden: - Extract some generic functionality from the astyle source formatter into the util directory, because other source formatters need it too
* Dmitry Risenberg: Clarify IProjectController signals documentation.
* Dmitry Risenberg: Change default revision in ModificationRevision to 0 and fix misleading comments.
* Dmitry Risenberg: Perform parsing only when there are no projects in process of loading. This speeds up on-load parsing.
* Olivier JG: Patch by Lambert CLARA: Add url for the activeDocument to grepview's "Locations" even if out of project.
* Nicolás Alvarez: Fix build under kdelibs 4.5.
* Branan Purvine-Riley: Add missing virtual destructors
* Branan Purvine-Riley: Cleanup unused parameter warnings
* Branan Purvine-Riley: change vcs no changes dialog from error to information
* David nolden: - Add the basis of a shell environment whic allows controlling a connected kdevelop instance through very easy and comfortable shell commands. When the environment is active, you can:   * open/create arbitrary files from the shell right into kdevelop   * raise the window   * start a grepview search - Allow putting a semicolon-separated list of items in the "Directory" line of the grep-dialog. - Rename the label to "Location(s)", as it is not strictly a directory anymore, already for some time. - Expose via dbus:  * Name of the current session  * An interface to start a search in the grepview plugin  * An interface to open documents
* David nolden: - Also allow selecting runnning sessions in the session-chooser, since we handle this gracefully using dbus now. - Add an "onlyRunning" option, which allows the session-chooser to only show running sessions.
* Olivier JG: Make declarations from macros get appended instead of prepended.
* Milian Wolff: Revert "don't store raw pointer to AbstractNavigationContext, use the KSharedPtr to prevent crashes"
* Milian Wolff: don't store raw pointer to AbstractNavigationContext, use the KSharedPtr to prevent crashes
* Frederik Schwarzer: fix markup that breaks translations
* Frederik Schwarzer: fix non-breaking space surrounded by usual spaces
* Milian Wolff: don't crash when accessing defaultParameterForArgument if no FunctionType was associated with AbstractFunctionDeclaration
* Milian Wolff: Revert "disable populateParentItemsMenu until data loss is fixed"
* Milian Wolff: disable populateParentItemsMenu until data loss is fixed
* Milian Wolff: don't try to read file if it was not set, removes warning
* Milian Wolff: remove obsolete code that is not applicable to recent KDE versions
* David Faure: Fix compilation with -DQT_STRICT_ITERATORS
* David nolden: Open a submenu for the parent folders, instead of statically populating the contents as submenus. This makes the menu items work properly even for plugins that store their context statically.
* David nolden: - Don't release the foreground lock in the duchain when waiting. This is not required any more, and could lead to crashes since my patch a few days ago, because it is not re-acquired during event processing.
* Aleix Pol: Delay project opening when opening a KDevelop instance. Makes it faster to get a not-so-functional KDevelop window.
* Aleix Pol: Improve usability on the fetch page in the import project wizard. Make it possible to tell the current project's provider name.
* David nolden: Add the context menus of parent folders as sub-folders in context menus for files in the editor and in the project-view. This allows accessing currently relevant folders without having to scroll through the project view.
* David nolden: Also consider 'build' actions in populateContextMenu, and put them to the top, like in other menus.
* David nolden: Greatly improve the capabilities of the "sync" button in the "Find/Replace" dialog. Now it has a dropdown, where one can select each of the parent directories of the current file up to the project root and each of the open projects. Additionally, now it is possible to search in "All Open Files" and "All Open Projects".
* David nolden: Make prettyFileName for project root-folders work properly independent of trailing slashes
* Christoph Thielecke: compile fix
* Christoph Thielecke: calling PTHREAD_MUTEX_INITIALIZER  is not nessary because pthread_mutex_init() does the work, also it causes compile error on some systems
* David nolden: - Make it possible again to replace with an empty string. - Make the behavior of the checkboxes a bit more logical. Once they appear, always stay in "replace" mode, as they cannot be hidden again.
* David nolden: - Give heading items in the search results view a different appearance (larger font-size) than the normal result items, to make them better distinguishable - Highlight the found text appearances not only in bold, but also with a background color (again, to make it better distinguishable from the headers)
* David nolden: Simplify the usage of the foreground mutex: Lock it statically while initialization, and rely on the event sent to the foreground for unlocking it.
* David nolden: Make the "Back to " in the navigation widget translatable.
* Dmitry Risenberg: Fix comment.
* David nolden: Do not assert while trying to make recovery copies when the home directory has no space available. Instead, show a message box, and warn him that recovery failed, and that the app will probably crash if he doesn't free up space.
* David nolden: Make prettyFileName work properly when the given url is the project root
* David nolden: Extend the documentation a bit
* David nolden: - Rename the toolview to Find/Replace in Files, as the dialog. - Fix the message shown when a replacement failed. - Clear the "Replacement Text" when starting a new search or when navigating through the history.
* David nolden: Gie some serious usability love to the grepview plugin: - Don't show check-boxes when only a search was done. Show the check-boxes as soon as something was entered into the "replacement" field. - Make the "history" line more meaningful: Also show the place where the search was started. - Also exclude/include patterns around spaces, as the documentation staces. - Disable the "Apply" button if no replacement text was entered - Change the label of the "replacement" combobox and of the "Apply" button to "Replacement Text:" and "Replace", to make clearer what the widgets do - Make the "Collapse All" button only collapse the tree until the "File" level. It doesn't make sense to only show the root item. - Initially, expand all items automatically.
* David nolden: - Give an "updater" to VCSDiffPatchSource, instead of only a diff. Use the updater to update the patch when the "Update" button is pushed. Now VCS diffs can be properly updated after manual changes have been done.
* David nolden: Make the 'diff' jobs silent, as we process the output directly in other ways and don't want to raise the tool-view
* David nolden: - Change the shown name of the temporary patch file during patch-review to "Overview" - Make the patch read-only
* David nolden: Add copyright
* David nolden: Allow setting a 'pretty' name for open documents, which is then used in the tab-bar instead of the real name. This is useful for temporary files with meaningless names, but with a more meaningful description available.
* David nolden: Make the first column of the quick-open list much shorter, so we have less whitespace there
* Milian Wolff: fix richtext painting
* Dmitry Risenberg: Fix warnings.
* Dmitry Risenberg: Moved tests for libdiff2 into that directory.
* Dmitry Risenberg: Change indentation to tabs to be consistent with the rest of the file.
* Dmitry Risenberg: Fix handling of unapplied patches.
* Dmitry Risenberg: Fix compiler warnings.
* Dmitry Risenberg: Configurable depth and applied state for custom patches in PatchReview.
* Dmitry Risenberg: Let set diff depth and applied state at the time of opening in libdiff2.
* Dmitry Risenberg: Safe file path joining instead of concatenation.
* Dmitry Risenberg: Transfer Difference ownership from DiffHunk to DiffModel to avoid memory leaks.
* Dmitry Risenberg: Add interactivity to PatchReview plugin. Fix comments in DiffModel. Small fixes in handling unapplied differences.
* Dmitry Risenberg: Handle applied/unapplied differences. Various bugfixes.
* Milian Wolff: push plugin version to 12 for master (what will become 4.3)
* Montel Laurent: Add missing i18n
* Andrew Coles: Proof-reading: avoid use of contractions (can't, don't, etc.) in strings.  See the note in the HIG for more details:
* Andrew Coles: Proof-reading the grep plugin - some minor string changes, and fixing some plural-form usage.
* Benjamin Port: Correct a bug when use documentation key shortcut not on a declaration
* Montel Laurent: Fix mem leak
* Montel Laurent: Fix mem leak
* Bjoern Ricks: fix build
* Dmitry Risenberg: Check changed lines against source to find common lines and remove them from the diff.
* Dmitry Risenberg: Generalize LevenshteinTable to work with arbitrary sequences, not only strings.
* Dmitry Risenberg: Initial support for interactive diff handling in libdiff2. Unit tests added to Patch Review plugin.
* Benjamin Port: Correct a bug in Documentation toolview. When providers list change
* Nicolás Alvarez: Add i18n context to the other columns in the problem list too.
* Nicolás Alvarez: Add i18n context to "Source" in problemreporter plugin.
* Nicolás Alvarez: Add i18n context to header column names in buildset list.
* David Nolden: Don't acquire the foreground lock twice recursively, once is enough. CCBUG: 263522
* David Nolden: Don't try entering the "release+trylock" loop if we already hold the foreground lock. Else, we might get a deadlock if acquire it recursively. BUG: 263522
* Martin Heide: Fixed minimum size of grepdialog
* Julien Desgats: Detleted hard coded constants in width calculation
* Martin Heide: Horizontal scrollbar added to grepoutputview
* Martin Heide: Search pattern list is no more deleted; added icon to search button in grepdialog
* Julien Desgats: Fixed a typo
* Julien Desgats: qDebug cleanup
* Julien Desgats: Fixed wrong text focus when multiple match occur on same line
* David Nolden: Fix the code completion model so that it computes the completion items in a background thread again. Seems like this was broken when the code was moved from cpp to kdevplatform. This makes the UI more responsive when automatic completion is enabled. It might lead to slight regressions, because we use multi-threading where it accidentally wasn't used before (foreground lock was added in one place).
* David nolden: Add a margin to the label of the assistant popup, making it look nicer.
* Martin Heide: Search-and-Replace: added action to clear search history
* David nolden: Add an option to DocumentChangeSet to allow auto-formatting of inserted code, while still keeping the indentation equal.
* Benjamin Port: Remove coding style change
* Benjamin Port: Allow to access documentation with key shortcut
* Benjamin Port: Allow to edit shortcut to access documentation
* David Nolden: * Do not rely on the background-parser to assign the DocumentChangeTracker to parse jobs. Instead, retrieve the tracker while reading the contents. This fixes the problem that often files were not updated correctly, specifically after an assistant with cross-file effect was used. * Remove lots of unneeded code from ParseJob.
* David Nolden: * Add a parameter "preferProxyContext" to "DUChainUtils::standardContextForUrl". Only proxy-context know exactly about all the includes, and thus they need to be used when deciding whether the duchain needs to be updated. * After switching the document and after refactoring, decide whether the duchain needs to be updated based on the proxy context. In C++, this fixes the problem that often the files weren't updated even though one of their included headers was changed.
* Damien Flament: Add icon and configurable shortcut to "Show documentation" action in contextual menu.
* David Nolden: * Fix the assistant architecture so that it supports rich text everywhere * Make the formatting a bit nicer
* Julien Desgats: Root item is expanded by default when navigating in history
* David Nolden: Make sure that working sets are unique to the patch-review area before changing them. BUG: 263021
* Martin Heide: Search history: (De)activation of the "Apply"-button
* Julien Desgats: Fixed a possible wrong model feeding
* Nada Kfita: Focus on current item on combo box
* Nada Kfita: Focus on current item
* Julien Desgats: Status message moved to action bar
* Martin Heide: Search history: status line
* Benjamin Port: Allow user to perform a find-replace action from a directory selected in the filemanager
* Julien Desgats: Added search history support
* Benjamin Port: Enable open and open with action filemanager context menu only for document (not directory)
* Benjamin Port: Allow context menu in filemanager for directory
* David Nolden: Remove some old, unneeded code.
* David Nolden: Also use the cache if the cached list is "empty", it means that no mimetype could be determined.
* David Nolden: Only try creating one parse-job at a time. If more parse-jobs need to be created, queue an event to re-try. This way, the UI stays responsive when many many files we cannot handle are iterated.
* David Nolden: Delete the view _after_ emitting "viewRemoved(..)". This fixes a possible crash, because the working-set will call "view->document()" in the connected slot. TODO: This should be backported to 4.2
* David Nolden: Don't care about navigation tooltips when a context-browser view is visible, the view will handle this alone
* David Nolden: - Only send the navigation actions to exactly one navigation widget (we don't want to control two at the same time) - Only send the navigation actions to _visible_ navigation widgets - Only send the navigation actions to the browser view which is associated to the currently active mainwindow This also fixes a bug where the navigation didn't work correctly because the popup navigation widget was "m_currentNavigationWidget" and "contextView->navigationWidget()" at the same time.
* David Nolden: Clear the file-modification cache instantly when the user has saved the file in the editor. This should be backported to 4.2. BUG: 260239
* David Nolden: Don't spam debug output
* David Nolden: Don't completely ignore the retrieved top-context if it is still flagged to require an update. Instead, simply show a warning message on the status bar. (TODO: Find out why the update flag is not correct) This should be backported to KDevelop 4.2. BUG: 260239
* David Nolden: Improve the matching of updated contexts: Allow insertions or removals. This helps making the indices of IndexedString and IndexedDUContext more persistent (together with proper matching in the declaration-builder)
* David Nolden: Add a convenience function to retrieve a declaration
* David Nolden: Exclude the "." when extracting the extension
* David Nolden: * Recognize too long extensions or purely numeric extensions as no extensions at all (only for the cache) * When we haven't recognized an extension, don't allow looking up the language using the contents, because else, we may end up synchronously reading the contents of thousands of files, completely blocking the app.
* Aleix Pol: Provide some values in the dummy implementations for the TestProject.
* Carlo Segato: define an empty DKDEVPLATFORMINTERFACES_EXPORT when building tests since they use the library source files directly instead of linking to the library itself, otherwise symbols are imported
* Milian Wolff: safely iterate over job list where kill can delete child jobs
* Milian Wolff: fix session-controller unit tests
* Dmitry Risenberg: Check that git is installed when loading Git Support plugin. CCBUG: 257650.
* Olivier JG: When creating Kate modeline, add "replace-tabs" to known options BUG: 234657
* Olivier JG: Make IntegralType::toString() give correct string for long long ints.
* Andreas Pakulat: Make the filename corner variable size instead of fixed.
* Milian Wolff: set version to 1.2.60 and SOVERSION 4, LIB_VERSION 4.0.0 for what will become kdev 4.3
* Milian Wolff: load messages from .kcfg
* Aleix Pol: Remove hack for adding dashboard plasmoids
* Aleix Pol: Restore the toolbox so that we can go into the editing mode again
* Aleix Pol: Make the plugins to appear in the applet selector after the recent changes
* Aleix Pol: Adapt the change to the dashboard plugins so that they are properly added, use of KPluginInfo.
* Aleix Pol: Use .desktop files to be able to tell what's the plugin name for each applet. Also use it to store the Comment, Name and Icon while we are at it.
* Aleix Pol: The action  has been removed from the newspaper, so we don't set it to false anymore.
* Aleix Pol: Use an existent icon for the show dashboard action
* Aleix Pol: Disable addition of new newspaper pages, doesn't make sense in our use case.
* Aleix Pol: Moved back to newspaper since it was fixed in plasma.
* Aleix Pol: Moved the plasmoid identification logic to the new data engine.
* Aleix Pol: Add a new class to identify the plasmoids created from a widget.
* Aleix Pol: Adapted the dashboard interface to the new data engine paradigm to identify the projects
* Aleix Pol: Added an interface to configure the dashboard background
* Aleix Pol: Use color as the background because it will be better to version.
* Aleix Pol: Moved to a more realistic default dashboard
* Aleix Pol: Don't provide a document if the project is not loaded
* Aleix Pol: open the dashboard when a project file is triggered to be opened
* Aleix Pol: Some little refactoring to the code base. Now it's the corona who holds the project instance. Changed from newspaper shell to desktop until layouting is fixed for newspaper.
* Aleix Pol: Pass the project as a parameter to the plugin load.
* Aleix Pol: Forgot to add the dashboard plugin loader files
* Aleix Pol: Set proper namespacing for dashboard interfaces
* Aleix Pol: Implement the new Plugin loader
* Aleix Pol: Adapt Dashboard interface for the new Plasma plugin loader
* Aleix Pol: Simplified Dashboard view initialization.
* Aleix Pol: Use better API on the dashboard.
* Aleix Pol: Fix sorting on the applet selector
* Aleix Pol: Added missing files
* Aleix Pol: Added a test plugin
* Aleix Pol: Show the Add plugin widget when necessary
* Aleix Pol: Add method that was missing after the new model implementation.
* Aleix Pol: Polishments on the new plasmoids
* Aleix Pol: Make it possible to actually add plasmoids from plugins.
* Aleix Pol: Fixed indentation
* Aleix Pol: Integrate the dashboard with the rest of KDevelop by adding a new controller. This makes it possible to add new items from outside. More work on such integration
* Aleix Pol: Added a first version for an applet selector. Improved the dashboard plasma implementation
* Aleix Pol: Improve Plasma integration
* Aleix Pol: Added a simple plasma to the dashboard plugin
* Aleix Pol: Fix crash by properly specifying the QObject structure
* Aleix Pol: Prepare for integrating plasma
* Aleix Pol: First version of the dashboard
* Aleix Pol: Simplified Dashboard view initialization.
* Aleix Pol: Use better API on the dashboard.
* Aleix Pol: Fix sorting on the applet selector
* Aleix Pol: Added missing files
* Aleix Pol: Added a test plugin
* Aleix Pol: Show the Add plugin widget when necessary
* Aleix Pol: Add method that was missing after the new model implementation.
* Aleix Pol: Polishments on the new plasmoids
* Milian Wolff: remove warnings about redefined KDE_DEFAULT_DEBUG_AREA definition
* Aleix Pol: Make it possible to actually add plasmoids from plugins.
* Aleix Pol: Fixed indentation
* Aleix Pol: Integrate the dashboard with the rest of KDevelop by adding a new controller. This makes it possible to add new items from outside. More work on such integration
* Milian Wolff: adapt to new interface declaration
* Aleix Pol: Added a first version for an applet selector. Improved the dashboard plasma implementation
* Aleix Pol: Improve Plasma integration
* Aleix Pol: Added a simple plasma to the dashboard plugin
* Aleix Pol: Fix crash by properly specifying the QObject structure
* Aleix Pol: Prepare for integrating plasma
* Aleix Pol: First version of the dashboard
* Niko Sams: increase X-KDevelop-Version as it was increased in kdevplatform master
* Andreas Pakulat: Update kdevelop plugin version to 9.
* Niko Sams: adapt to kdevplatform changes
* Niko Sams: flushBuffers when process finished, so that last output line doesn't get eaten
* Niko Sams: bump version
* Niko Sams: Add README and COPYING
* Niko Sams: Remove non-working option to run in external terminal
* Niko Sams: Append output to OutputModel only when it is still alive.
* Niko Sams: Add author information
* Niko Sams: Increment KDevelop Plugin Version
* Andrew Coles: Minor proof-reading.
* Niko Sams: Fix build: adapt to platform changes
* Andreas Pakulat: Add FindKDevPlatform.cmake to all plugins so I can remove it from kdevplatform itself.
* Niko Sams: Add option to execute script on remote host through ssh
* Niko Sams: fix linking
* Niko Sams: change UI text from Executable to Script, as the user launches a script
* Niko Sams: install interface, it's used by xdebug
* Niko Sams: Build standalone
* Niko Sams: New Script Launcher plugin
